<?php
	
/* Copyright 2007, 2008 Tobias Frost <tobi@coldtobi.de> http://blog.coldtobi.de

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

/**
 * implements the main view of the ReCaptcha Plugin
*/
class PluginRecaptchaConfigView extends AdminPluginTemplatedView
{

	function PluginRecaptchaConfigView( $blogInfo )
	{
		$this->AdminPluginTemplatedView( $blogInfo, "recaptcha", "recaptcha" );
	}
	
	function render()
	{
		// load some configuration settings
		$blogSettings 	= $this->_blogInfo->getSettings();
		
		$pluginEnabled 	= $blogSettings->getValue( "plugin_recaptcha_enabled"  );
		$PubKey	   	= $blogSettings->getValue( "plugin_recaptcha_pubkey"   );
		$PrivKey	= $blogSettings->getValue( "plugin_recaptcha_privkey"  );
		$mangleKey  = $blogSettings->getValue( "plugin_recaptcha_manglekey");
		$theme  	= $blogSettings->getValue( "plugin_recaptcha_theme");

		// mangle the keys so that they are not exposed.
		// But only, if it was set previously.
		if ( $PrivKey != "" && $mangleKey )
		{
		  $locale = Locales::getLocale( $blogSettings->getValue( "locale" ) );
		  $PrivKey =  trim($locale->tr("recaptcha_mangled_key"));
		}
		
		// create a view and export the settings to the template
		$this->setValue( "pluginEnabled", $pluginEnabled );
		$this->setValue( "PubKey"		, $PubKey );
		$this->setValue( "PrivKey"		, $PrivKey );
		$this->setValue( "mangleKey"	, $mangleKey );
		$this->setValue( "theme"		, $theme );

		parent::render();
	}
}
?>
